using System;
using Gtk;

public partial class MainWindow: Gtk.Window
{	
	public MainWindow (): base (Gtk.WindowType.Toplevel)
	{
		Build ();
	}
	
	protected void OnDeleteEvent (object sender, DeleteEventArgs a)
	{
		Application.Quit ();
		a.RetVal = true;
	}
	
	public bool WritePrinterName(Gtk.Printer printer)
	{
		Console.WriteLine(printer.Name);
		return false;
	}

	protected virtual void OnEnumeratePrinters (object sender, System.EventArgs e)
	{
		Gtk.Printer.EnumeratePrinters(this.WritePrinterName, false);
	}
}